# 🧑‍💻 Developer Guide  

KitchenAI is built to bridge the gap between **AI developers** and **application developers**, making it easier for both to focus on what they do best. The framework provides a unified solution to simplify AI integration and application development.

---

## 🔄 **Two Sides of the Same Coin**  

AI development is becoming increasingly complex, and application developers are often forced to dive deep into the intricacies just to enable AI in their apps. **This shouldn't be the case.**  

KitchenAI enables a streamlined workflow where both types of developers can thrive.

![developer flow](../_static/images/developer-flow.png)

---

## 🧑‍💻 **Application Developers**  

Application developers want to:  
- 🚀 **Quickly integrate AI** into their applications without worrying about underlying frameworks or techniques.  
- 📡 Use **simple APIs** to interact with the LLM backend.  

KitchenAI makes this possible by providing intuitive, developer-friendly SDKs and tools.

---

## 🤖 **AI Developers**  

AI developers want to:  
- ⚙️ Focus on **AI framework techniques** without the burden of setting up production-ready servers.  
- 🧩 Use **simple building blocks** to craft advanced AI solutions.  
- 🌌 **Extend and customize** the framework to suit unique use cases.  
- 🔍 **Observe and monitor** their application with flexible observability tools.  

KitchenAI empowers AI developers with a robust backend that’s both extensible and scalable.

---

## ✨ **Why KitchenAI?**  

KitchenAI unifies **best practices** into a single framework, enabling developers to:  
- Ship **production-ready applications** faster.  
- Collaborate effectively without duplicating effort.  
- Build scalable, maintainable AI-powered solutions with ease.  

No matter your role, KitchenAI simplifies AI integration, so you can focus on delivering value. 💡